from django.contrib import admin
from .models import Author, Books

# Register your models here.
class AuthorAdmin(admin.ModelAdmin):
    model = Author
    list_display = ("first_name", "last_name", "age", "nationality", "bio",)
    search_fields = ("last_name", "nationality",)
    list_filter = ("last_name", "nationality",)

class BooksAdmin(admin.ModelAdmin):
    model = Books
    list_display = ("title", "author", "publisher", "year_published", "ISBN", "blurb",)
    search_fields = ("title", "author", "publisher", "year_published", "ISBN",)
    list_filter = ("title", "author", "publisher", "year_published",)

admin.site.register(Author, AuthorAdmin)
admin.site.register(Books, BooksAdmin)