from django.db import models

# Create your models here.
class Author(models.Model):
    first_name = models.CharField(max_length=50)
    last_name = models.CharField(max_length=50)
    age = models.IntegerField(default=0)
    nationality = models.CharField(max_length=50)
    bio = models.TextField(max_length=700)

    def __str__(self):
        return self.first_name + " " + self.last_name
    
    def get_absolute_url(self):
        return reverse('product_change', kwargs={'id': self.id})
    
    #https://stackoverflow.com/questions/70442828/django-object-list-from-listview-with-two-models%20#}%20{%%20for%20object%20in%20author.books_set.all
    # for absolute url and _set_all
    
class Books(models.Model):
    title = models.CharField(max_length=50)
    author = models.ForeignKey(Author, on_delete=models.CASCADE)
    publisher = models.CharField(max_length=50)
    year_published = models.IntegerField(default=0)
    ISBN = models.IntegerField(default=0)
    blurb = models.TextField(max_length=10000)

    def __str__(self):
        return self.title