from django.shortcuts import render
from django.views import View
from django.views.generic.detail import DetailView
from django.views.generic.list import ListView
from .models import Author, Books

# Create your views here.

def HomeView(request):
    return render(request, 'bookshelf/home.html', {'nickname': 'Jan'})

class AuthorView(ListView):
    model = Author
    queryset = Author.objects.all()
    def get(self, request):
        author_data = Author.objects.all().values()
        return render(request, 'bookshelf/authors.html', {'nickname': 'Jan', 'author_data': author_data})

class AuthorDetailView(DetailView):
    pk_url_kwarg = 'id'
    model = Author
    queryset = Author.objects.all()
    template_name = 'bookshelf/author_details.html'
    context_object_name = 'author'

class BooksView(ListView):
    model = Books
    queryset = Books.objects.all()
    def get(self, request):
        book_data = Books.objects.all().values()
        return render(request, 'bookshelf/books.html', {'nickname': 'Jan', 'book_data': book_data})

class BookDetailView(DetailView):
    pk_url_kwarg = 'id'
    model = Books
    queryset = Books.objects.all()
    template_name = 'bookshelf/book_details.html'
    context_object_name = 'books'